-- GoH_Druid Event Registrations
	GoH_Warrior = {}
	GoH_Warrior.events = {}

	GoH_Warrior.eventFrame = CreateFrame("Frame");
	GoH_Warrior.eventFrame:SetScript("OnEvent", function(self, event, ...) GoH_Warrior.events[event](...) end);

	-- EVERY EVENT YOU REGISTER MUST HAVE A FUNCTION
	GoH_Warrior.eventFrame:RegisterEvent("ADDON_LOADED");
   	



-- #######################################
-- #######################################
-- LOAD ADDON FUNCTION
-- #######################################
-- #######################################
function GoH_Warrior.events.ADDON_LOADED(addon)

	if addon ~= "GoH_Warrior" then
		return;
	end

	

	   -- IF NO SAVED VARIABLES, CALL DEFAULT VARIABLES
 	   if (not GoHv5_Warrior_Data) then
		-- CALL RESET
		GoH_Warrior_DefaultVariables();
	   
	   end

		GoH_Warrior_Set_Menu_Button_Images();

    -- Slash Options
    SlashCmdList["GoH_Warrior"] = GoH_Warrior.Options
        SLASH_GoH_Warrior1 = "/GoH_WARRIOR"
        SLASH_GoH_Warrior2 = "/Warrior"
        SLASH_GoH_Warrior3 = "/gohwarrior"
	  SlashCmdList["GoH_Warrior"] = GoH_Warrior_OPEN_MENU;

	if GoH_DeathKnight.Faction == "Horde" then
		Warrior_FactionPicTexture:SetTexture("interface\\AddOns\\GoH\\Images\\GoH_v5_BackGround_Faction_Horde.tga")
	elseif GoH_DeathKnight.Faction == "Alliance" then
		Warrior_FactionPicTexture:SetTexture("interface\\AddOns\\GoH\\Images\\GoH_v5_BackGround_Faction_Alliance.tga")
	elseif GoH_DeathKnight.Faction == "Neutral" then
		Warrior_FactionPicTexture:SetTexture("interface\\AddOns\\GoH\\Images\\GoH_v5_BackGround_Faction_Neutral.tga")
	end
	if GoH_DeathKnight.Gender == "Female" then
		Warrior_Female_Texture:Show();
	else
		Warrior_Female_Texture:Hide();
	end

	
	

	

end


-- FADE GOH MENU FRAME IN (JUST MESSING AROUND AND EXPERIMENTING)
function Show_GOH_Warrior_MENU_Frame()

		if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO" then
			GoH_Warrior_Form:Show();
  			
			return;
		else
			GoH_Warrior_Form:Show();
		end

	GoH_Warrior_Form:SetScale(GoHv5_DeathKnight_Data.config.GoHv5_Scale);
	GoH_Warrior_Form:SetAlpha(GoHv5_DeathKnight_Data.config.GoHv5_Alpha);

end
-- FADE GOH MENU FRAME OUT (JUST MESSING AROUND AND EXPERIMENTING)
function Hide_GOH_Warrior_MENU_Frame()

		if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO" then
			GoH_Warrior_Form:Hide();
  			if GoHv5_DeathKnight_Data.config.Fade_Menu_In_and_Out == "YES" then
				UIFrameFlash(GoH_Warrior_Form, 0, 1, 1, false, 0, 0)
				UIFrameFlash(GoH_Warrior_Form, 0, 1, 1, false, 0, 0)
				UIFrameFlash(GoH_Warrior_Form, 0, 1, 1, false, 0, 0)
			end
			return;
		else
			GoH_Warrior_Form:Hide();
		end

end


-- CLOSE BUTTON
function GoH_Warrior_BUTTON_CLOSE_OnClick()

	Play_GUI_Close();
	Hide_GOH_Warrior_MENU_Frame();
	GoH_Warrior_Form:Hide();

end


-- OPEN MENU
function GoH_Warrior_OPEN_MENU()

	

	if (GoH_Warrior_Form:IsVisible()) then
		GoH_Warrior_BUTTON_CLOSE_OnClick() -- Play_DeathKnight_GUI_Close();
		return;
	else
		Play_GUI_Open();
		Show_GOH_Warrior_MENU_Frame();
	end

	GoH_Warrior_Hide_and_Seek();

		-- Get the Version of the Druid's Addon from the TOC file
		-- and display it on the Druid's Menu near the close button.
		GoH_Warrior_Addon_Version = GetAddOnMetadata("GoH_Warrior", "Version");
		Label_GoH_Warrior_VERSION:SetText("|cFFFFD000GoH Warrior v"..GoH_Warrior_Addon_Version.."|r");

end


-- HIDE OTHER MENU FRAMES AND ALIGN THEM TO THE CORRECT USER PLACED LOCATION
function GoH_Warrior_Hide_and_Seek()

	
	

	if GoH_DeathKnight.Gender == "Female" then
		Warrior_Female_Texture:Show();
	else
		Warrior_Female_Texture:Hide();
	end

	-- ###########################
	-- Disable Menu Button for Menu you are on
	-- ###########################
	

	-- ###########################
	-- Hide all other addon menus and show the one you want
	-- ###########################

	-- #######################################################
	-- Match all other addon menus to the Settings location
	-- #######################################################

	if (GoH_Warrior_Form:IsVisible()) then
		-- IF DRUID IS ALREADY VISIBLE THEN CLOSE IT.
		-- GoH_Druid_Form:ClearAllPoints();
		-- GoH_Druid_Form:Hide();
	else

		-- Release all points before re-assigning or we'll get a lua error
		if (GoH_DeathKnight_Form:IsVisible()) then
			-- GoH_DeathKnight_Form:ClearAllPoints();
			-- GoH_Druid_Form:ClearAllPoints();
			-- GoH_Druid_Form:SetPoint("TOPLEFT", "GoH_DeathKnight_Form");
			GoH_Warrior_Form:Show();
			GoH_DeathKnight_Form:Hide();
		elseif (GoH_Form:IsVisible()) then
			-- GoH_Form:ClearAllPoints();
			-- GoH_Druid_Form:ClearAllPoints();
			-- GoH_Druid_Form:SetPoint("TOPLEFT", "GoH_Form");
			GoH_Warrior_Form:Show();
			GoH_Form:Hide();
		elseif (GoH_Form:IsVisible() ~= 1) and (GoH_DeathKnight_Form:IsVisible() ~= 1) then
			GoH_DeathKnight_Form:Show();
			-- GoH_DeathKnight_Form:ClearAllPoints();
			-- GoH_Form:ClearAllPoints();
		end
				

				


				


			GoH_DeathKnight_Form:Hide();
			GoH_Form:Hide();
	end

end



-- ###################################
-- ###################################
-- CLASS MENU AND SETTINGS BUTTON AREA
-- ###################################
-- ###################################


